Subject: Re: linux-next: build failure after merge of the char-misc tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 28 Jul 2020 17:33:31 +1000

Hi Greg,

On Mon, 27 Jul 2020 11:24:48 +0200 Greg KH <[email-masked]> wrote:
>
> On Mon, Jul 27, 2020 at 06:08:31PM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the char-misc tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > In file included from drivers/misc/habanalabs/goya/goya.c:8:
> > drivers/misc/habanalabs/goya/goyaP.h:12:10: fatal error: habanalabs.h: No such file or directory
> >    12 | #include "habanalabs.h"
> >       |          ^~~~~~~~~~~~~~
> > In file included from drivers/misc/habanalabs/goya/goya_security.c:8:
> > drivers/misc/habanalabs/goya/goyaP.h:12:10: fatal error: habanalabs.h: No such file or directory
> >    12 | #include "habanalabs.h"
> >       |          ^~~~~~~~~~~~~~
> > 
> > Presumably caused by commit
> > 
> >   70b2f993ea4a ("habanalabs: create common folder")
> > 
> > I have used the char-misc tree from next-20200724 for today.  
> 
> Ugh, this is a mess of a merge with this driver.
> 
> Oded, I'll take Stephen's merge resolutions here and push out a new
> version, and try to resolve this error, but if you could verify I got it
> correct, that would be great.

The conflicts are gone, but I still get these errors.

-- 
Cheers,
Stephen Rothwell